
Summary: K Desktop Environment - Toys and Amusements
Name: 	 kdetoys
Group:	 Amusements/Graphics
Epoch:	 7
Version: 3.5.3
Release: 3%{?dist}

License: GPL
Url:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdetoys-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= 6:%{version}
BuildRequires: gettext

## Recommended, not (absolutely) required -- Rex
#Requires(hint): kdebase >= 6:%{version}

%description
Includes: 
* amor: Amusing Misuse Of Resources put's comic figures above your windows
* eyesapplet: a kicker applet similar to XEyes
* fifteenapplet: kicker applet, order 15 pieces in a 4x4 square by moving them
* kmoon: system tray applet showing the moon phase
* kodo: mouse movement meter
* kteatime: system tray applet that makes sure your tea doesn't get too strong
* ktux: Tux-in-a-Spaceship screen saver
* kweather: kicker applet that will display the current weather outside
* kworldwatch: application and kicker applet showing daylight area on the world
               globe

NOTE: kicker applets and screen savers require kdebase to be installed, 
and user to be logged-in to KDE.


%prep
%setup -q -n %{name}-%{version}%{?beta}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final 

make %{?_smp_mflags}


%install
rm -rf "$RPM_BUILD_ROOT"

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers \
  --add-category="X-Fedora" --vendor="" \
  $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers/*.desktop  ||:

desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category="X-Fedora" --vendor="" \
  --add-category="Application" \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop ||:

# replace absolute symlink with relative
ln -nfs tips-en $RPM_BUILD_ROOT%{_datadir}/apps/amor/tips

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done
fi

## Unpackaged files
# not sure of the point for just one header file 'AmorIface.h'
# omit (for now).
rm -rf $RPM_BUILD_ROOT%{_includedir}


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/libkdeinit_*.*
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%{_datadir}/apps/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/service*/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Aug 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-3
- %%description: remove references to (long gone) kaphorism, kscore

* Wed May 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-1
- kde-3.5.3

* Mon Mar 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.2-1
- kde-3.5.2

* Mon Mar 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.1-3
- %%doc AUTHORS COPYING README
- BR: gettext
- drop %%{?debug_package} reference
- desktop-file-install --vendor="kde"/--add-category="Application",
  where needed
- comment inclusion of .la files

* Wed Feb 22 2006 Rex Dieter 7:3.5.1-2
- update %%description
- %%post/%%postun: drop ldconfig, update-destkop-database
- desktop-file-install --add-category="X-Fedora"

* Sat Jan 21 2006 Rex Dieter 7:3.5.1-1
- kde-3.5.1

* Tue Dec 08 2005 Rex Dieter 7:3.5.0-1.2
- --enable-new-ldflags
- --disable-gcc-hidden-visibility

* Sat Mar 19 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

